PSP Audioware - 2445 EMT *

Product Details

  • Compatible with Studio One Professional (Versions 3.5.5 and higher) or Studio One Artist with separately purchased 'VST and AU and Rewire Support' (Versions 3.5.5 and higher)
  • Sound reproduction of two legendary early digital age reverberators: the EMT 244 and EMT 245
  • Algorithms based on original algorithms designed by Dr. Barry Blesser
  • Randomized modulation feature for new life of extraordinary sound of EMT algorithms
  • Separately adjustment for high and low frequency reverb time
  • Stereo control feature
  • Officially endorsed by EMT Studiotechnik GmbH
  • ***PSP 2445 EMT requires the use of a Pace iLok account. A hardware USB iLok dongle is NOT required, however it is optional. Studio One does not require Pace iLok products for normal operation. 

PSP 2445 EMT is a reverb processor plug-in inspired by two legendary early digital age reverberators: the EMT® 244 and the EMT® 245. PSP thoroughly researched how to bring the specific features of those simple, yet very musical-sounding reverbs to life as a plug-in. We then improved from the originals with a handy set of parameters to control details of the sound, as well as mix the reverb—a feature not available in the original hardware. The PSP 2445 is capable of processing using one selected engine or both of them simultaneously.

The reverb algorithms implemented in PSP 2445 are based on original algorithms designed by Dr. Barry Blesser (one of the grandfathers of the digital audio revolution). Thanks to Barry’s extensive consultation and support our algorithms sound as good as the originals, and our plug-in could be officially endorsed by EMT Studiotechnik GmbH.

System Requirements

Compatible with Studio One Professional (Versions 3.5.5 and higher) or Studio One Artist with separately purchased 'VST and AU and Rewire Support' (Versions 3.5.5 and higher)

General Specs

  • Intel Core 2 Duo, AMD Athlon 64 X2 or newer
  • iLok account
  • iLok generation 2 and up, if you intend to use an iLok dongle for authorizing your plug-ins (note that an iLok dongle is not a requirement).
  • Internet access for downloading the plug-in(s) and managing the license(s).

PC

VST

  • Windows 7, 8 or 10
  • VST 2.4 compatible application
  • Up to date (at least version 3.1.7) iLok License Manager installed

RTAS

  • Windows 7, 8 or 10
  • ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)
  • Up to date (at least version 3.1.7) iLok License Manager installed

AAX

  • Windows 7, 8 or 10
  • Pro Tools 10, 11, 12 (or later)
  • Up to date (at least version 3.1.7) iLok License Manager installed

Mac (intel)

AudioUnit

  • Mac OSX 10.8 - 10.12 or later
  • 32 or 64-bit host application capable of running AudioUnit plug-ins with Cocoa view
  • Up to date (at least version 3.1.7) iLok License Manager installed

VST

  • Mac OSX 10.8 - 10.12 or later
  • 32 or 64-bit VST 2.4 compatible host application
  • Up to date (at least version 3.1.7) iLok License Manager installed

RTAS

  • Mac OSX 10.8 - 10.12 or later
  • Pro Tools LE 8.0.0 or Pro Tools TDM 8.0.0 (or later)
  • Up to date (at least version 3.1.7) iLok License Manager installed

AAX

  • Mac OSX 10.8 - 10.12 or later
  • Pro Tools 10,11,12 or later
  • Up to date (at least version 3.1.7) iLok License Manager installed